Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.util
Class SpmlException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.openspml.util.ExceptionWrapper
                        |
                        +--org.openspml.util.SpmlException

public class SpmlException
extends ExceptionWrapper

The base exception thrown by the classes in the SPML library.

This extends `ExceptionWrapper` so that it may wrap arbitrary exceptions thrown by internal components.

See Also:
  Serialized Form

Constructor Summary
`SpmlException(java.lang.String msg)` Construct a new SpmlException with a detailed message.
`SpmlException(java.lang.String msg, java.lang.Throwable e)` Construct a new SpmlException that wraps an existing exception, and has its own detailed message.
`SpmlException(java.lang.Throwable e)` Construct a new SpmlException wrapping an existing exception.

Methods inherited from class org.openspml.util.ExceptionWrapper
`addException, clearExceptions, getAllMessages, getException, getException, getExceptionCount, getExceptions, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpmlException

    public SpmlException(java.lang.String msg)

  Construct a new SpmlException with a detailed message.
  Parameters:
    `msg` - detail message

### SpmlException

    public SpmlException(java.lang.String msg,
                         java.lang.Throwable e)

  Construct a new SpmlException that wraps an existing exception, and has its own detailed message.
  Parameters:
    `msg` - detail message

### SpmlException

    public SpmlException(java.lang.Throwable e)

  Construct a new SpmlException wrapping an existing exception.

  The existing exception will be embedded in the new one, and its message will become the default message for the SpmlException.

  Parameters:
    `nested` - nested Throwable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD